> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a sheet

> Add an empty table to a workbook.



## OpenAPI

````yaml POST /v1/workbooks/{workbook_id}/tables
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/workbooks/{workbook_id}/tables:
    post:
      tags:
        - Workbook
      summary: Add a sheet
      description: Add an empty table to a workbook.
      operationId: add_workbook_table
      parameters:
        - name: workbook_id
          in: path
          required: true
          schema:
            type: string
            description: Workbook identifier (wb_…).
          description: Workbook identifier (wb_…).
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddWorkbookTable'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkbookTable'
        '401':
          description: Missing or invalid API key
        '404':
          description: Not found
components:
  schemas:
    AddWorkbookTable:
      type: object
      title: AddWorkbookTable
      properties:
        name:
          type:
            - string
            - 'null'
          maxLength: 128
    WorkbookTable:
      type: object
      title: WorkbookTable
      properties:
        identifier:
          type: string
        name:
          type: string
        position:
          type: integer
      required:
        - identifier
        - name
        - position

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.